> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Registrar movimiento de caja

> Registra un retiro o ingreso de efectivo en el turno abierto. Un retiro también queda como gasto en contabilidad. Queda registrado a nombre del usuario que conectó el MCP de administración y usa sus permisos, como en el PDV. Con un token de la API responde userRequired.



## OpenAPI

````yaml post /tabs/{storeId}/cash-movements
openapi: 3.1.0
info:
  title: Justo API
  version: 3.0.0
servers:
  - url: https://api.service.getjusto.com/v3
    description: Production server
security: []
paths:
  /tabs/{storeId}/cash-movements:
    post:
      summary: Create cash movement
      description: >-
        Registra un retiro o ingreso de efectivo en el turno abierto. Un retiro
        también queda como gasto en contabilidad. Queda registrado a nombre del
        usuario que conectó el MCP de administración y usa sus permisos, como en
        el PDV. Con un token de la API responde userRequired.
      parameters:
        - in: path
          name: storeId
          required: true
          schema:
            type: string
          description: ID Justo del local.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/tabsCreateCashMovementInput'
      responses:
        '200':
          description: The OpenAPI spec
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/tabsCashMovement'
        '400':
          description: Errors
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  error:
                    type: object
                    properties:
                      error:
                        type: string
                        example: error
                      message:
                        type: string
                        example: The request has an error
components:
  schemas:
    tabsCreateCashMovementInput:
      type: object
      required:
        - type
        - amount
        - paymentMethodId
      additionalProperties: false
      properties:
        type:
          type: string
          enum:
            - withdrawal
            - income
          description: 'withdrawal: sacar efectivo de la caja. income: agregar efectivo.'
        amount:
          type: number
          exclusiveMinimum: 0
          description: Monto, siempre positivo.
        paymentMethodId:
          type: string
          description: >-
            Medio de pago en efectivo del local, de GET
            /tabs/{storeId}/payment-methods.
        cashRegisterId:
          type: string
          description: >-
            Caja del movimiento, de GET /tabs/{storeId}/cash-registers. Por
            defecto, la caja por defecto del local.
        reason:
          type: string
          enum:
            - other
            - supplierPayment
            - personalPayment
            - withdrawal
            - income
          description: >-
            Motivo: supplierPayment (pago a proveedor), personalPayment (pago a
            personal), withdrawal (retiro), income (ingreso) u other.
        comments:
          type: string
          description: Detalle del movimiento.
      example:
        type: withdrawal
        amount: 20000
        paymentMethodId: tpm-4c48bf33
        reason: supplierPayment
    tabsCashMovement:
      type: object
      properties:
        _id:
          type: string
          description: ID del movimiento.
        type:
          type: string
          enum:
            - withdrawal
            - income
          description: 'withdrawal: retiro de efectivo. income: ingreso de efectivo.'
        amount:
          type: number
          description: Monto. Los retiros son negativos.
        reason:
          type:
            - string
            - 'null'
          description: Motivo del movimiento.
        comments:
          type:
            - string
            - 'null'
          description: Comentarios.
        paymentMethodId:
          type: string
          description: Medio de pago en efectivo.
        cashRegisterId:
          type:
            - string
            - 'null'
          description: Caja del movimiento.
        createdByName:
          type:
            - string
            - 'null'
          description: Quién lo registró.
        createdAt:
          type: string
          description: Fecha del movimiento.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.